/*
 * Cette fonction extrait la requête de l'URL.
 */
function GetParam(name)
{
	var match = new RegExp(name + "=(.+)[&]","i").exec(location.search);

	if(match==null)
	{
		match = new RegExp(name + "=(.+)","i").exec(location.search);
	}

	if(match==null)
	{
		return null;
	}

	match  = match + "";
	result = match.split(",");
	return result[1];
}


/*
 * Cette fonction est obligatoire. Elle traite l'objet google_ads JavaScript,
 * qui comprend des annonces AdSense pour les recherches en rapport avec la recherche de l'utilisateur. Le nom de cette
 * cette fonction <i> doit</i> être <b>google_afs_request_done</b>. Si le nom de la fonction
 * est incorrect, votre page n'affichera pas correctement les annonces AdSense pour les recherches.
 */
function google_afs_request_done(google_ads)
{
	/*
	 * Vérifiez qu'il existe bien des annonces à afficher.
	 */
	var google_num_ads = google_ads.length;

	if (google_num_ads <= 0)
	{
		return;
	}

	var wideAds   = "";   // texte html d'ensemble d'annonces grand format
	var narrowAds = "";   // texte html d'ensemble d'annonces petit format

	for(i = 0; i < google_num_ads; i++)
	{
		if(google_ads[i].type=="text/wide")
		{
			// render a wide ad
			wideAds+='<p>'
				+ '<a class="title" onmouseover="javascript:window.status=\'' + google_ads[i].url + '\';return true;" onmouseout="javascript:window.status=\'\';return true;" href="' + google_ads[i].url + '" target="_blank">' + google_ads[i].line1 + '</a> '
				+ '<span class="text1">' + google_ads[i].line2 + '</span> '
				+ '<span class="text2">' + google_ads[i].line3 + '</span> '
				+ '<a class="urllink" onmouseover="javascript:window.status=\'' + google_ads[i].url + '\';return true;" onmouseout="javascript:window.status=\'\';return true;" href="' + google_ads[i].url + '" target="_blank">' + google_ads[i].visible_url + '</a>'
				+ '</p>';
		}
		else
		{
			// produire une annonce petit format
			narrowAds+='<p>'
				+ '<a class="title" onmouseover="javascript:window.status=\'' + google_ads[i].url + '\';return true;" onmouseout="javascript:window.status=\'\';return true;" href="' + google_ads[i].url + '" target="_blank">' + google_ads[i].line1 + '</a> '
				+ '<span class="text1">' + google_ads[i].line2 + '</span> '
				+ '<span class="text2">' + google_ads[i].line3 + '</span> '
				+ '<a class="urllink" onmouseover="javascript:window.status=\'' + google_ads[i].url + '\';return true;" onmouseout="javascript:window.status=\'\';return true;" href="' + google_ads[i].url + '" target="_blank">' + google_ads[i].visible_url + '</a>'
				+ '</p>';
		}
	}

	if(narrowAds != "")
	{
		narrowAds = '<span class="heading"><a href="http://services.google.com/feedback/online_hws_feedback">Annonces Google</a></span> ' + narrowAds;
	}

	if(wideAds != "")
	{
		wideAds = '<span class="heading"><a href="http://services.google.com/feedback/online_hws_feedback">Annonces Google</a></span> ' + wideAds;
	}

	// Écrire du code HTML pour des annonces grand format ou petit format dans les éléments <div> appropriés
	document.getElementById("wide_ad_unit").innerHTML   = wideAds;
	document.getElementById("narrow_ad_unit").innerHTML = narrowAds;
}
