/**
 * Display the Dart tags for French NME sites
 * First version
 * Parameters
 * - strUrl : url of tag
 * - strSize : size of tag
 * - strPos : position : left / right (optional)
 * -------------------------------------------------------------------------------
 * @version : 20110223
 * @author : ADH
 * -------------------------------------------------------------------------------
 */
var d = document;
var ord = Math.random()*10000000000000000;
var bFirst = true;
var iTile = 1;

function printAdvert(strSize, strPos, strTile) {
	
	var strDart = d.getElementById('dart_url').value;
	var oZone = d.getElementById('dart_zone');
	var oCat = d.getElementById('dart_cat');
	if (oCat != null) {
		strDart += oCat.value + ";"; // take the cat name
		strDart += "cat=" + oCat.value + ";";
	}
	else
		strDart += oZone.value + ";"; // keep the default
	// optional attr
	var aExt = d.getElementsByName('dart_attr');
	if (aExt != null) {
		for (i = 0; i < aExt.length; i++) {
			if (aExt[i].id == "dart_cat") continue; // already treated
			strDart += aExt[i].id.substring(5) + "=" + aExt[i].value + ";"; // in Id, "dart_" removed
		}
	}
	if (bFirst) {
		bFirst = false;
		strDart += ("dcopt=ist;");
	}
	strDart += ("sz=" + strSize + ";");
	if(typeof(strTile) != 'undefined') {
		strDart += ("tile=" + strTile + ";");
	}
	else {
		strDart += ("tile=" + iTile++ + ";");
	}
	if(typeof(strPos) != 'undefined') {
		strDart += ("pos=" + strPos + ";");
	}
	strDart += ("ord=" + ord + "?");
	d.write("<script language=\"javascript\" src=\"" + strDart + "\"><\/script>");
}
